Skip to content

Update a work item type ​

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/

Update an issue type.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

type_id:requiredstring

The unique identifier of the work item type.

Body parameters ​

name:optionalstring

The work item type's name.

description:optionalstring

The work item type's description.

is_epic:optionalboolean

Whether the work item type is an epic.

is_active:optionalboolean

Whether the work item type is active.

external_source:optionalstring

The system external_id came from, for example github or jira.

external_id:optionalstring

Your system's identifier for this record, for sync and import correlation.

Scopes ​

projects.work_item_types:write

Update a work item type
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/type-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "external_id": "550e8400-e29b-41d4-a716-446655440000",
  "external_source": "github"
}'
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "Example description",
  "deleted_at": "2024-01-01T00:00:00Z",
  "project_ids": ["550e8400-e29b-41d4-a716-446655440000"],
  "logo_props": "example-value",
  "is_epic": true,
  "is_default": true,
  "is_active": true,
  "level": 1
}